
#property copyright "Copyright  jjventural,ztrader"
#property indicator_chart_window
#property link      ""

extern int Corner = 3;
extern int Pos_X =20; 
extern int Pos_Y   = 180;
extern color Text_Color = DimGray;
extern color  ColorUp = MediumSeaGreen;
extern color  ColorDown = OrangeRed;

extern string note3 = "TDI";

extern int RSI_Period = 10;         
extern int RSI_Price = 5;           

extern int RSI_Price_Line = 3;      
extern int RSI_Price_Type = 1;      
extern int Trade_Signal_Line = 7;   
extern int Trade_Signal_Type = 0; 
extern int Volatility_Band = 34;



//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
    //---- indicators
    //----
    return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
{
    //----
   ObjectDelete("Numbers");
     
   ObjectDelete("SignalTDI1");
   ObjectDelete("SignalTDI1m1");
   ObjectDelete("SignalTDI1m5");
   ObjectDelete("SignalTDI1m15");
   ObjectDelete("SignalTDI1m30");
   ObjectDelete("SignalTDI1h1");
   ObjectDelete("SignalTDI1h4");
   ObjectDelete("SignalTDI1d1");
   
   ObjectDelete("SignalTDI2");
   ObjectDelete("SignalTDI2m1");
   ObjectDelete("SignalTDI2m5");
   ObjectDelete("SignalTDI2m15");
   ObjectDelete("SignalTDI2m30");
   ObjectDelete("SignalTDI2h1");
   ObjectDelete("SignalTDI2h4");
   ObjectDelete("SignalTDI2d1");
   
   ObjectDelete("SignalTDI3");
   ObjectDelete("SignalTDI3m1");
   ObjectDelete("SignalTDI3m5");
   ObjectDelete("SignalTDI3m15");
   ObjectDelete("SignalTDI3m30");
   ObjectDelete("SignalTDI3h1");
   ObjectDelete("SignalTDI3h4");
   ObjectDelete("SignalTDI3d1");
   
   ObjectDelete("SignalTDI4");
   ObjectDelete("SignalTDI4m1");
   ObjectDelete("SignalTDI4m5");
   ObjectDelete("SignalTDI4m15");
   ObjectDelete("SignalTDI4m30");
   ObjectDelete("SignalTDI4h1");
   ObjectDelete("SignalTDI4h4");
   ObjectDelete("SignalTDI4d1");
    
    //----
    return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{    
    //*************************************************************************************************************** 
    //Title 

     //*************************************************************************************************************** 
   //Numbers
 
    ObjectCreate("Numbers", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("Numbers", " M1   M5   M15   M30   H1   H4   D1", 7, "Tahoma Narrow", Text_Color);
   ObjectSet("Numbers", OBJPROP_CORNER, Corner);
   ObjectSet("Numbers", OBJPROP_XDISTANCE, 10+ Pos_X);
   ObjectSet("Numbers", OBJPROP_YDISTANCE, 35+ Pos_Y); 
   
    //*************************************************************************************************************** 
   //TDI calculations
   
     double MaBufD1  = iCustom(NULL,PERIOD_D1,"Traders_Dynamic_Index",RSI_Period, RSI_Price, Volatility_Band, RSI_Price_Line, RSI_Price_Type, Trade_Signal_Line, Trade_Signal_Type,4,0); 
    double MbBufD1  = iCustom(NULL,PERIOD_D1,"Traders_Dynamic_Index",RSI_Period, RSI_Price, Volatility_Band, RSI_Price_Line, RSI_Price_Type, Trade_Signal_Line, Trade_Signal_Type,5,0);
    double MdZoneD1 = iCustom(NULL,PERIOD_D1,"Traders_Dynamic_Index",RSI_Period, RSI_Price, Volatility_Band, RSI_Price_Line, RSI_Price_Type, Trade_Signal_Line, Trade_Signal_Type,2,0); 

    double MaBufH4  = iCustom(NULL,PERIOD_H4,"Traders_Dynamic_Index",RSI_Period, RSI_Price, Volatility_Band, RSI_Price_Line, RSI_Price_Type, Trade_Signal_Line, Trade_Signal_Type,4,0); 
    double MbBufH4  = iCustom(NULL,PERIOD_H4,"Traders_Dynamic_Index",RSI_Period, RSI_Price, Volatility_Band, RSI_Price_Line, RSI_Price_Type, Trade_Signal_Line, Trade_Signal_Type,5,0);
    double MdZoneH4 = iCustom(NULL,PERIOD_H4,"Traders_Dynamic_Index",RSI_Period, RSI_Price, Volatility_Band, RSI_Price_Line, RSI_Price_Type, Trade_Signal_Line, Trade_Signal_Type,2,0); 

    double MaBufH1  = iCustom(NULL,PERIOD_H1,"Traders_Dynamic_Index",RSI_Period, RSI_Price, Volatility_Band, RSI_Price_Line, RSI_Price_Type, Trade_Signal_Line, Trade_Signal_Type,4,0); 
    double MbBufH1  = iCustom(NULL,PERIOD_H1,"Traders_Dynamic_Index",RSI_Period, RSI_Price, Volatility_Band, RSI_Price_Line, RSI_Price_Type, Trade_Signal_Line, Trade_Signal_Type,5,0);
    double MdZoneH1 = iCustom(NULL,PERIOD_H1,"Traders_Dynamic_Index",RSI_Period, RSI_Price, Volatility_Band, RSI_Price_Line, RSI_Price_Type, Trade_Signal_Line, Trade_Signal_Type,2,0); 

    double MaBufM30  = iCustom(NULL,PERIOD_M30,"Traders_Dynamic_Index",RSI_Period, RSI_Price, Volatility_Band, RSI_Price_Line, RSI_Price_Type, Trade_Signal_Line, Trade_Signal_Type,4,0); 
    double MbBufM30  = iCustom(NULL,PERIOD_M30,"Traders_Dynamic_Index",RSI_Period, RSI_Price, Volatility_Band, RSI_Price_Line, RSI_Price_Type, Trade_Signal_Line, Trade_Signal_Type,5,0);
    double MdZoneM30 = iCustom(NULL,PERIOD_M30,"Traders_Dynamic_Index",RSI_Period, RSI_Price, Volatility_Band, RSI_Price_Line, RSI_Price_Type, Trade_Signal_Line, Trade_Signal_Type,2,0); 

    double MaBufM15  = iCustom(NULL,PERIOD_M15,"Traders_Dynamic_Index",RSI_Period, RSI_Price, Volatility_Band, RSI_Price_Line, RSI_Price_Type, Trade_Signal_Line, Trade_Signal_Type,4,0); 
    double MbBufM15  = iCustom(NULL,PERIOD_M15,"Traders_Dynamic_Index",RSI_Period, RSI_Price, Volatility_Band, RSI_Price_Line, RSI_Price_Type, Trade_Signal_Line, Trade_Signal_Type,5,0);
    double MdZoneM15 = iCustom(NULL,PERIOD_M15,"Traders_Dynamic_Index",RSI_Period, RSI_Price, Volatility_Band, RSI_Price_Line, RSI_Price_Type, Trade_Signal_Line, Trade_Signal_Type,2,0); 

    double MaBufM5  = iCustom(NULL,PERIOD_M5,"Traders_Dynamic_Index",RSI_Period, RSI_Price, Volatility_Band, RSI_Price_Line, RSI_Price_Type, Trade_Signal_Line, Trade_Signal_Type,4,0); 
    double MbBufM5  = iCustom(NULL,PERIOD_M5,"Traders_Dynamic_Index",RSI_Period, RSI_Price, Volatility_Band, RSI_Price_Line, RSI_Price_Type, Trade_Signal_Line, Trade_Signal_Type,5,0);
    double MdZoneM5 = iCustom(NULL,PERIOD_M5,"Traders_Dynamic_Index",RSI_Period, RSI_Price, Volatility_Band, RSI_Price_Line, RSI_Price_Type, Trade_Signal_Line, Trade_Signal_Type,2,0); 

    double MaBufM1  = iCustom(NULL,PERIOD_M1,"Traders_Dynamic_Index",RSI_Period, RSI_Price, Volatility_Band, RSI_Price_Line, RSI_Price_Type, Trade_Signal_Line, Trade_Signal_Type,4,0); 
    double MbBufM1  = iCustom(NULL,PERIOD_M1,"Traders_Dynamic_Index",RSI_Period, RSI_Price, Volatility_Band, RSI_Price_Line, RSI_Price_Type, Trade_Signal_Line, Trade_Signal_Type,5,0);
    double MdZoneM1 = iCustom(NULL,PERIOD_M1,"Traders_Dynamic_Index",RSI_Period, RSI_Price, Volatility_Band, RSI_Price_Line, RSI_Price_Type, Trade_Signal_Line, Trade_Signal_Type,2,0); 

    
  
   
   
   
  
  string TDI1_h1 = "", TDI1_m15 = "", TDI1_m5 = "", TDI1_m1 = "", TDI1_h4 ="",TDI1_m30= "",TDI1_d1= "";

 color  colorTDI1_m1=LightGray,colorTDI1_m5=LightGray,colorTDI1_m15=LightGray,colorTDI1_m30=LightGray,colorTDI1_m60=LightGray,colorTDI1_m240=LightGray,colorTDI1_m1440=LightGray;
  
    TDI1_d1  = "0";  
    TDI1_h4  = "0";  
    TDI1_h1  = "0";
    TDI1_m30 = "0"; 
    TDI1_m15 = "0";
    TDI1_m5  = "0";
    TDI1_m1  = "0"; 
   
   
    if ((MaBufD1 > MdZoneD1) && (MbBufD1 > MdZoneD1))      { colorTDI1_m1440 = ColorUp;}  
    if ((MaBufH4 > MdZoneH4) && (MbBufH4 > MdZoneH4))      { colorTDI1_m240 = ColorUp;}  
    if ((MaBufH1 > MdZoneH1) && (MbBufH1 > MdZoneH1))      { colorTDI1_m60 = ColorUp;}
    if ((MaBufM30 > MdZoneM30) && (MbBufM30 > MdZoneM30))  { colorTDI1_m30 = ColorUp;}
    if ((MaBufM15 > MdZoneM15) && (MbBufM15 > MdZoneM15))  { colorTDI1_m15 = ColorUp;}
    if ((MaBufM5 > MdZoneM5) && (MbBufM5 > MdZoneM5))      { colorTDI1_m5 = ColorUp;}
    if ((MaBufM1 > MdZoneM1) && (MbBufM1 > MdZoneM1))      { colorTDI1_m1 = ColorUp;}

    if ((MaBufD1 < MdZoneD1) && (MbBufD1 < MdZoneD1))      { colorTDI1_m1440 = ColorDown;}  
    if ((MaBufH4 < MdZoneH4) && (MbBufH4 < MdZoneH4))      { colorTDI1_m240 = ColorDown;}  
    if ((MaBufH1 < MdZoneH1) && (MbBufH1 < MdZoneH1))      { colorTDI1_m60 = ColorDown;}
    if ((MaBufM30 < MdZoneM30) && (MbBufM30 < MdZoneM30))  { colorTDI1_m30 = ColorDown;}
    if ((MaBufM15 < MdZoneM15) && (MbBufM15 < MdZoneM15))  { colorTDI1_m15 = ColorDown;}
    if ((MaBufM5 < MdZoneM5) && (MbBufM5 < MdZoneM5))      { colorTDI1_m5 = ColorDown;}
    if ((MaBufM1 < MdZoneM1) && (MbBufM1 < MdZoneM1))      { colorTDI1_m1 = ColorDown;}
    
              
    ObjectCreate("SignalTDI1", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI1","TDI 2", 7, "Tahoma Narrow",  Text_Color);
    ObjectSet("SignalTDI1", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI1", OBJPROP_XDISTANCE, 150+Pos_X);
    ObjectSet("SignalTDI1", OBJPROP_YDISTANCE, 72+ Pos_Y); 
    
    ObjectCreate("SignalTDI1m1", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI1m1", TDI1_m1, 10, "Tahoma Narrow",  colorTDI1_m1);
    ObjectSet("SignalTDI1m1", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI1m1", OBJPROP_XDISTANCE, 130 + Pos_X);
    ObjectSet("SignalTDI1m1", OBJPROP_YDISTANCE, 70+Pos_Y); 
        
    ObjectCreate("SignalTDI1m5", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI1m5", TDI1_m5, 10, "Tahoma Narrow",  colorTDI1_m5);
    ObjectSet("SignalTDI1m5", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI1m5", OBJPROP_XDISTANCE, 110+ Pos_X);
    ObjectSet("SignalTDI1m5", OBJPROP_YDISTANCE, 70+Pos_Y); 
      
    ObjectCreate("SignalTDI1m15", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI1m15", TDI1_m15, 10, "Tahoma Narrow",  colorTDI1_m15);
    ObjectSet("SignalTDI1m15", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI1m15", OBJPROP_XDISTANCE, 90+ Pos_X);
    ObjectSet("SignalTDI1m15", OBJPROP_YDISTANCE, 70+Pos_Y); 
      
    ObjectCreate("SignalTDI1m30", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI1m30", TDI1_m30, 10, "Tahoma Narrow",  colorTDI1_m30);
    ObjectSet("SignalTDI1m30", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI1m30", OBJPROP_XDISTANCE, 70+ Pos_X);
    ObjectSet("SignalTDI1m30", OBJPROP_YDISTANCE, 70+Pos_Y); 
      
    ObjectCreate("SignalTDI1h1", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI1h1", TDI1_h1, 10, "Tahoma Narrow",  colorTDI1_m60);
    ObjectSet("SignalTDI1h1", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI1h1", OBJPROP_XDISTANCE, 50+ Pos_X);
    ObjectSet("SignalTDI1h1", OBJPROP_YDISTANCE, 70+ Pos_Y); 
         
    ObjectCreate("SignalTDI1h4", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI1h4", TDI1_h4, 10, "Tahoma Narrow",  colorTDI1_m240);
    ObjectSet("SignalTDI1h4", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI1h4", OBJPROP_XDISTANCE, 30+ Pos_X);
    ObjectSet("SignalTDI1h4", OBJPROP_YDISTANCE, 70+Pos_Y); 
   
    ObjectCreate("SignalTDI1d1", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI1d1", TDI1_d1, 10, "Tahoma Narrow",  colorTDI1_m1440);
    ObjectSet("SignalTDI1d1", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI1d1", OBJPROP_XDISTANCE, 10+ Pos_X);
    ObjectSet("SignalTDI1d1", OBJPROP_YDISTANCE, 70+Pos_Y); 
   
 
 string TDI2_h1 = "", TDI2_m15 = "", TDI2_m5 = "", TDI2_m1 = "", TDI2_h4 ="",TDI2_m30= "",TDI2_d1= "";

 color  colorTDI2_m1=LightGray,colorTDI2_m5=LightGray,colorTDI2_m15=LightGray,colorTDI2_m30=LightGray,colorTDI2_m60=LightGray,colorTDI2_m240=LightGray,colorTDI2_m1440=LightGray;
  
    TDI2_d1  = "0";  
    TDI2_h4  = "0";  
    TDI2_h1  = "0";
    TDI2_m30 = "0"; 
    TDI2_m15 = "0";
    TDI2_m5  = "0";
    TDI2_m1  = "0"; 
   
   
    if ((MaBufD1 > MbBufD1))      { colorTDI2_m1440 = ColorUp;}  
    if ((MaBufH4 > MbBufH4))     { colorTDI2_m240 = ColorUp;}  
    if ((MaBufH1 > MbBufH1))      { colorTDI2_m60 = ColorUp;}
    if ((MaBufM30 > MbBufM30))  { colorTDI2_m30 = ColorUp;}
    if ((MaBufM15 > MbBufM15))  { colorTDI2_m15 = ColorUp;}
    if ((MaBufM5 > MbBufM5))      { colorTDI2_m5 = ColorUp;}
    if ((MaBufM1 > MbBufM1))      { colorTDI2_m1 = ColorUp;}

    if ((MaBufD1 < MbBufD1))      { colorTDI2_m1440 = ColorDown;}  
    if ((MaBufH4 < MbBufH4))      { colorTDI2_m240 = ColorDown;}  
    if ((MaBufH1 < MbBufH1))      { colorTDI2_m60 = ColorDown;}
    if ((MaBufM30 < MbBufM30))  { colorTDI2_m30 = ColorDown;}
    if ((MaBufM15 < MbBufM15))  { colorTDI2_m15 = ColorDown;}
    if ((MaBufM5 < MbBufM5))      { colorTDI2_m5 = ColorDown;}
    if ((MaBufM1 < MbBufM1))      { colorTDI2_m1 = ColorDown;}
    
              
    ObjectCreate("SignalTDI2", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI2","TDI 4", 7, "Tahoma Narrow",  Text_Color);
    ObjectSet("SignalTDI2", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI2", OBJPROP_XDISTANCE, 150+Pos_X);
    ObjectSet("SignalTDI2", OBJPROP_YDISTANCE, 112+ Pos_Y); 
    
    ObjectCreate("SignalTDI2m1", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI2m1", TDI2_m1, 10, "Tahoma Narrow",  colorTDI2_m1);
    ObjectSet("SignalTDI2m1", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI2m1", OBJPROP_XDISTANCE, 130 + Pos_X);
    ObjectSet("SignalTDI2m1", OBJPROP_YDISTANCE, 110+Pos_Y); 
        
    ObjectCreate("SignalTDI2m5", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI2m5", TDI2_m5, 10, "Tahoma Narrow",  colorTDI2_m5);
    ObjectSet("SignalTDI2m5", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI2m5", OBJPROP_XDISTANCE, 110+ Pos_X);
    ObjectSet("SignalTDI2m5", OBJPROP_YDISTANCE, 110+Pos_Y); 
      
    ObjectCreate("SignalTDI2m15", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI2m15", TDI2_m15, 10, "Tahoma Narrow",  colorTDI2_m15);
    ObjectSet("SignalTDI2m15", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI2m15", OBJPROP_XDISTANCE, 90+ Pos_X);
    ObjectSet("SignalTDI2m15", OBJPROP_YDISTANCE, 110+Pos_Y); 
      
    ObjectCreate("SignalTDI2m30", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI2m30", TDI2_m30, 10, "Tahoma Narrow",  colorTDI2_m30);
    ObjectSet("SignalTDI2m30", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI2m30", OBJPROP_XDISTANCE, 70+ Pos_X);
    ObjectSet("SignalTDI2m30", OBJPROP_YDISTANCE, 110+Pos_Y); 
      
    ObjectCreate("SignalTDI2h1", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI2h1", TDI2_h1, 10, "Tahoma Narrow",  colorTDI2_m60);
    ObjectSet("SignalTDI2h1", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI2h1", OBJPROP_XDISTANCE, 50+ Pos_X);
    ObjectSet("SignalTDI2h1", OBJPROP_YDISTANCE, 110+ Pos_Y); 
         
    ObjectCreate("SignalTDI2h4", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI2h4", TDI2_h4, 10, "Tahoma Narrow",  colorTDI2_m240);
    ObjectSet("SignalTDI2h4", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI2h4", OBJPROP_XDISTANCE, 30+ Pos_X);
    ObjectSet("SignalTDI2h4", OBJPROP_YDISTANCE, 110+Pos_Y); 
   
    ObjectCreate("SignalTDI2d1", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI2d1", TDI2_d1, 10, "Tahoma Narrow",  colorTDI2_m1440);
    ObjectSet("SignalTDI2d1", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI2d1", OBJPROP_XDISTANCE, 10+ Pos_X);
    ObjectSet("SignalTDI2d1", OBJPROP_YDISTANCE, 110+Pos_Y); 
    
    
string TDI3_h1 = "", TDI3_m15 = "", TDI3_m5 = "", TDI3_m1 = "", TDI3_h4 ="",TDI3_m30= "",TDI3_d1= "";

 color  colorTDI3_m1=LightGray,colorTDI3_m5=LightGray,colorTDI3_m15=LightGray,colorTDI3_m30=LightGray,colorTDI3_m60=LightGray,colorTDI3_m240=LightGray,colorTDI3_m1440=LightGray;
  
    TDI3_d1  = "0";  
    TDI3_h4  = "0";  
    TDI3_h1  = "0";
    TDI3_m30 = "0"; 
    TDI3_m15 = "0";
    TDI3_m5  = "0";
    TDI3_m1  = "0"; 
   
   
    if ((MaBufD1 > 50))      { colorTDI3_m1440 = ColorUp;}  
    if ((MaBufH4 > 50))      { colorTDI3_m240 = ColorUp;}  
    if ((MaBufH1 > 50))      { colorTDI3_m60 = ColorUp;}
    if ((MaBufM30 > 50))     { colorTDI3_m30 = ColorUp;}
    if ((MaBufM15 > 50))    { colorTDI3_m15 = ColorUp;}
    if ((MaBufM5 > 50))      { colorTDI3_m5 = ColorUp;}
    if ((MaBufM1 > 50))      { colorTDI3_m1 = ColorUp;}

    if ((MaBufD1 < 50))      { colorTDI3_m1440 = ColorDown;}  
    if ((MaBufH4 < 50))      { colorTDI3_m240 = ColorDown;}  
    if ((MaBufH1 < 50))      { colorTDI3_m60 = ColorDown;}
    if ((MaBufM30 < 50))     { colorTDI3_m30 = ColorDown;}
    if ((MaBufM15 < 50))     { colorTDI3_m15 = ColorDown;}
    if ((MaBufM5 < 50))      { colorTDI3_m5 = ColorDown;}
    if ((MaBufM1 < 50))      { colorTDI3_m1 = ColorDown;}
    
              
    ObjectCreate("SignalTDI3", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI3","TDI 3", 7, "Tahoma Narrow",  Text_Color);
    ObjectSet("SignalTDI3", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI3", OBJPROP_XDISTANCE, 150+Pos_X);
    ObjectSet("SignalTDI3", OBJPROP_YDISTANCE, 92+ Pos_Y); 
    
    ObjectCreate("SignalTDI3m1", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI3m1", TDI3_m1, 10, "Tahoma Narrow",  colorTDI3_m1);
    ObjectSet("SignalTDI3m1", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI3m1", OBJPROP_XDISTANCE, 130 + Pos_X);
    ObjectSet("SignalTDI3m1", OBJPROP_YDISTANCE, 90+Pos_Y); 
        
    ObjectCreate("SignalTDI3m5", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI3m5", TDI3_m5, 10, "Tahoma Narrow",  colorTDI3_m5);
    ObjectSet("SignalTDI3m5", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI3m5", OBJPROP_XDISTANCE, 110+ Pos_X);
    ObjectSet("SignalTDI3m5", OBJPROP_YDISTANCE, 90+Pos_Y); 
      
    ObjectCreate("SignalTDI3m15", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI3m15", TDI3_m15, 10, "Tahoma Narrow",  colorTDI3_m15);
    ObjectSet("SignalTDI3m15", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI3m15", OBJPROP_XDISTANCE, 90+ Pos_X);
    ObjectSet("SignalTDI3m15", OBJPROP_YDISTANCE, 90+Pos_Y); 
      
    ObjectCreate("SignalTDI3m30", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI3m30", TDI3_m30, 10, "Tahoma Narrow",  colorTDI3_m30);
    ObjectSet("SignalTDI3m30", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI3m30", OBJPROP_XDISTANCE, 70+ Pos_X);
    ObjectSet("SignalTDI3m30", OBJPROP_YDISTANCE, 90+Pos_Y); 
      
    ObjectCreate("SignalTDI3h1", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI3h1", TDI3_h1, 10, "Tahoma Narrow",  colorTDI3_m60);
    ObjectSet("SignalTDI3h1", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI3h1", OBJPROP_XDISTANCE, 50+ Pos_X);
    ObjectSet("SignalTDI3h1", OBJPROP_YDISTANCE, 90+ Pos_Y); 
         
    ObjectCreate("SignalTDI3h4", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI3h4", TDI3_h4, 10, "Tahoma Narrow",  colorTDI3_m240);
    ObjectSet("SignalTDI3h4", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI3h4", OBJPROP_XDISTANCE, 30+ Pos_X);
    ObjectSet("SignalTDI3h4", OBJPROP_YDISTANCE, 90+Pos_Y); 
   
    ObjectCreate("SignalTDI3d1", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI3d1", TDI3_d1, 10, "Tahoma Narrow",  colorTDI3_m1440);
    ObjectSet("SignalTDI3d1", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI3d1", OBJPROP_XDISTANCE, 10+ Pos_X);
    ObjectSet("SignalTDI3d1", OBJPROP_YDISTANCE, 90+Pos_Y); 
    
    
    string TDI4_h1 = "", TDI4_m15 = "", TDI4_m5 = "", TDI4_m1 = "", TDI4_h4 ="",TDI4_m30= "",TDI4_d1= "";

 color  colorTDI4_m1=LightGray,colorTDI4_m5=LightGray,colorTDI4_m15=LightGray,colorTDI4_m30=LightGray,colorTDI4_m60=LightGray,colorTDI4_m240=LightGray,colorTDI4_m1440=LightGray;
  
    TDI4_d1  = "0";  
    TDI4_h4  = "0";  
    TDI4_h1  = "0";
    TDI4_m30 = "0"; 
    TDI4_m15 = "0";
    TDI4_m5  = "0";
    TDI4_m1  = "0"; 
   
   
    if ((MdZoneD1 > 50))      { colorTDI4_m1440 = ColorUp;}  
    if ((MdZoneH4 > 50))      { colorTDI4_m240 = ColorUp;}  
    if ((MdZoneH1 > 50))      { colorTDI4_m60 = ColorUp;}
    if ((MdZoneM30 > 50))     { colorTDI4_m30 = ColorUp;}
    if ((MdZoneM15 > 50))    { colorTDI4_m15 = ColorUp;}
    if ((MdZoneM5 > 50))      { colorTDI4_m5 = ColorUp;}
    if ((MdZoneM1 > 50))      { colorTDI4_m1 = ColorUp;}

    if ((MaBufD1 < 50))      { colorTDI4_m1440 = ColorDown;}  
    if ((MdZoneH4 < 50))      { colorTDI4_m240 = ColorDown;}  
    if ((MdZoneH1 < 50))      { colorTDI4_m60 = ColorDown;}
    if ((MdZoneM30 < 50))     { colorTDI4_m30 = ColorDown;}
    if ((MdZoneM15 < 50))     { colorTDI4_m15 = ColorDown;}
    if ((MdZoneM5 < 50))      { colorTDI4_m5 = ColorDown;}
    if ((MdZoneM1  < 50))      { colorTDI4_m1 = ColorDown;}
    
              
    ObjectCreate("SignalTDI4", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI4","TDI 1", 7, "Tahoma Narrow",  Text_Color);
    ObjectSet("SignalTDI4", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI4", OBJPROP_XDISTANCE, 150+Pos_X);
    ObjectSet("SignalTDI4", OBJPROP_YDISTANCE, 52+ Pos_Y); 
    
    ObjectCreate("SignalTDI4m1", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI4m1", TDI4_m1, 10, "Tahoma Narrow",  colorTDI4_m1);
    ObjectSet("SignalTDI4m1", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI4m1", OBJPROP_XDISTANCE, 130 + Pos_X);
    ObjectSet("SignalTDI4m1", OBJPROP_YDISTANCE, 50+Pos_Y); 
        
    ObjectCreate("SignalTDI4m5", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI4m5", TDI4_m5, 10, "Tahoma Narrow",  colorTDI4_m5);
    ObjectSet("SignalTDI4m5", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI4m5", OBJPROP_XDISTANCE, 110+ Pos_X);
    ObjectSet("SignalTDI4m5", OBJPROP_YDISTANCE, 50+Pos_Y); 
      
    ObjectCreate("SignalTDI4m15", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI4m15", TDI4_m15, 10, "Tahoma Narrow",  colorTDI4_m15);
    ObjectSet("SignalTDI4m15", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI4m15", OBJPROP_XDISTANCE, 90+ Pos_X);
    ObjectSet("SignalTDI4m15", OBJPROP_YDISTANCE, 50+Pos_Y); 
      
    ObjectCreate("SignalTDI4m30", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI4m30", TDI4_m30, 10, "Tahoma Narrow",  colorTDI4_m30);
    ObjectSet("SignalTDI4m30", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI4m30", OBJPROP_XDISTANCE, 70+ Pos_X);
    ObjectSet("SignalTDI4m30", OBJPROP_YDISTANCE, 50+Pos_Y); 
      
    ObjectCreate("SignalTDI4h1", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI4h1", TDI4_h1, 10, "Tahoma Narrow",  colorTDI4_m60);
    ObjectSet("SignalTDI4h1", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI4h1", OBJPROP_XDISTANCE, 50+ Pos_X);
    ObjectSet("SignalTDI4h1", OBJPROP_YDISTANCE, 50+ Pos_Y); 
         
    ObjectCreate("SignalTDI4h4", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI4h4", TDI4_h4, 10, "Tahoma Narrow",  colorTDI4_m240);
    ObjectSet("SignalTDI4h4", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI4h4", OBJPROP_XDISTANCE, 30+ Pos_X);
    ObjectSet("SignalTDI4h4", OBJPROP_YDISTANCE, 50+Pos_Y); 
   
    ObjectCreate("SignalTDI4d1", OBJ_LABEL, 0, 0, 0);
    ObjectSetText("SignalTDI4d1", TDI4_d1, 10, "Tahoma Narrow",  colorTDI4_m1440);
    ObjectSet("SignalTDI4d1", OBJPROP_CORNER, Corner);
    ObjectSet("SignalTDI4d1", OBJPROP_XDISTANCE, 10+ Pos_X);
    ObjectSet("SignalTDI4d1", OBJPROP_YDISTANCE, 50+Pos_Y); 
     
 //----
   return(0);
  }
  
  

   